class AdvancedScoreboardUtils extends Object;

static function ShowHelp(UTPlayerController UTPC)
{
	UTPC.ClientMessage("AdvancedScoreboard Version 0.6 Help");
	UTPC.ClientMessage("-----------------------");
	UTPC.ClientMessage("Toggle additional information display:");
	UTPC.ClientMessage("as toggleadditionalinformation");
	UTPC.ClientMessage("Setting the clantag type (x = 0 (with []), 1 (without []), 2 (in front of name), 3 (no clantag)):");
	UTPC.ClientMessage("as setcttype x");
	UTPC.ClientMessage("Changing your name");
	UTPC.ClientMessage("mutate setname <name>");
	UTPC.ClientMessage("Reset your name to login default");
	UTPC.ClientMessage("mutate resetname");
	UTPC.ClientMessage("List alias and loginname of all players");
	UTPC.ClientMessage("mutate listnames");
	UTPC.ClientMessage("-----------------------");
}

static function Deactivated(UTPlayerController UTPC, string s)
{
	UTPC.ClientMessage(s $" has been deactivated");
}

static function Activated(UTPlayerController UTPC, string s)
{
	UTPC.ClientMessage(s $" has been activated");
}

static function ChangedCTType(UTPlayerController UTPC, int value)
{
	UTPC.ClientMessage("Clantag display type has been set to " $ value);
}