/**
 * Copyright 2007-2008 Bagotios
 */

class CTFASUTLPRI extends ASUTLPRI;

var int FlagCarrierKills;
var int FlagCaptures;
var int FlagReturns;
var int FlagTouches;
var bool bHasFlag;

replication
{
	if(bNetDirty)
		FlagCarrierKills, FlagCaptures, FlagReturns, FlagTouches;
}


//Updates the kills stats
function UpdateData()
{
	local IntStat temp;

	super.UpdateData();
	
	if(UTPRI != none)
	{
		/*if(!bCheckedForSelf)
		{
			checkForLRI();
		}*/
		foreach UTPRI.EventStats(temp)
		{
			
			if(string(temp.StatName) == "EVENT_SCOREDFLAG")
				FlagCaptures = temp.StatValue;
			else if(string(temp.StatName) == "EVENT_KILLEDFLAGCARRIER")
				FlagCarrierKills = temp.StatValue;
			else if(string(temp.StatName) == "EVENT_RETURNEDFLAG")
				FlagReturns = temp.StatValue;
		}
		if(!bHasFlag && UTPRI.bHasFlag)
		{
			FlagTouches++;
			bHasFlag = true;
		}
		else if(!UTPRI.bHasFlag)
			bHasFlag = false;
			
		bNetDirty = true;
	}
}

function DeleteUnecessaryPRI()
{
	local UTLinkedReplicationInfo UTLRI;
	local bool bFound;
	bfound = false;
	
	if(UTPRI != None)
	{
		UTLRI = UTPRI.CustomReplicationInfo;
		while(UTLRI != None)
		{
			if(UTLRI.IsA('CTFASUTLPRI'))
			{	
				bFound = true;
				break;
			}
			UTLRI = UTLRI.NextReplicationInfo;
		}
		
		//if an unecessary ASTULPRI got spawned delete it again.
		if(bFound && UTLRI != self)
			Destroy();
	}
}

Simulated function Reset()
{
	Super.Reset();

	bHasflag = false;
	
	FlagCarrierKills = 0;
	FlagCaptures = 0;
	FlagReturns = 0;
	FlagTouches = 0;
}

defaultproperties
{
	bHasFlag = false;
}