/**
 * Copyright 2007-2008 Bagotios
 */

class DMASUTLPRI extends ASUTLPRI;

var int DoubleKills;
var int MultiKills;
var int MegaKills;
var int UltraKills;
var int MonsterKills;

replication
{
	if (bNetdirty)
		DoubleKills, MultiKills, MegaKills, UltraKills, MonsterKills;
}


function UpdateData()
{
	local IntStat temp;

	super.UpdateData();
	
	if(UTPRI != none)
	{
		foreach UTPRI.EventStats(temp)
		{
			
			if(string(temp.StatName) == "MULTIKILL_DOUBLEKILL")
				DoubleKills = temp.StatValue - MonsterKills - UltraKills - MegaKills - MultiKills;
			else if(string(temp.StatName) == "MULTIKILL_MULTIKILL")
				MultiKills = temp.StatValue - MonsterKills - UltraKills - MegaKills;
			else if(string(temp.StatName) == "MULTIKILL_MEGAKILL")
				MegaKills = temp.StatValue - MonsterKills - UltraKills;
			else if(string(temp.StatName) == "MULTIKILL_ULTRAKILL")
				UltraKills = temp.StatValue - MonsterKills;
			else if(string(temp.StatName) == "MULTIKILL_MONSTERKILL")
				MonsterKills = temp.StatValue;			
		}
	
		bNetDirty = true;
	}
}

function DeleteUnecessaryPRI()
{
	local UTLinkedReplicationInfo UTLRI;
	local bool bFound;
	bfound = false;
	
	if(UTPRI != None)
	{
		UTLRI = UTPRI.CustomReplicationInfo;
		while(UTLRI != None)
		{
			if(UTLRI.IsA('DMASUTLPRI'))
			{	
				bFound = true;
				break;
			}
			UTLRI = UTLRI.NextReplicationInfo;
		}
		
		//if an unecessary ASTULPRI got spawned delete it again.
		if(bFound && UTLRI != self)
			Destroy();
	}
}

Simulated function Reset()
{
	Super.Reset();

	DoubleKills = 0;
	MultiKills = 0;
	MegaKills = 0;
	UltraKills = 0;
	MonsterKills = 0;
}
