/**
 * Copyright 2007-2008 Bagotios
 */

class ONSASUTLPRI extends ASUTLPRI;

var int NodesHealed;
var int NodesBuilt;
var int CoresDamaged;
var int CoresHealed;
var int CoresDestroyed;
//NodeBusted = NodesCreated with Orb?
var int NodesBusted;
var int NodesDamaged;
var int NodesDestroyed;


replication
{
	if (bNetdirty)
		NodesHealed, NodesBuilt, CoresDamaged, CoresDestroyed, NodesDestroyed;
}


function UpdateData()
{
	local IntStat temp;

	super.UpdateData();
	
	if(UTPRI != none)
	{
		foreach UTPRI.NodeStats(temp)
		{
			if(string(temp.StatName) == "NODE_NODEBUILT")
				NodesBuilt = temp.StatValue;
			else if(string(temp.StatName) == "NODE_HEALEDNODE")
				NodesHealed = temp.StatValue;
			else if(string(temp.StatName) == "NODE_DAMAGED")
				NodesDamaged = temp.StatValue;
			else if(string(temp.StatName) == "NODE_DESTROYEDNODE")
				NodesDestroyed = temp.StatValue;
			else if(string(temp.StatName) == "NODE_DAMAGEDCORE")
				CoresDamaged = temp.StatValue;
			else if((string(temp.StatName) == "NODE_DESTROYEDCORE"))
				CoresDestroyed = temp.StatValue;
		}
		
		bNetDirty = true;
	}
}

function DeleteUnecessaryPRI()
{
	local UTLinkedReplicationInfo UTLRI;
	local bool bFound;
	bfound = false;
	
	if(UTPRI != None)
	{
		UTLRI = UTPRI.CustomReplicationInfo;
		while(UTLRI != None)
		{
			if(UTLRI.IsA('ONSASUTLPRI'))
			{	
				bFound = true;
				break;
			}
			UTLRI = UTLRI.NextReplicationInfo;
		}
		
		//if an unecessary ASTULPRI got spawned delete it again.
		if(bFound && UTLRI != self)
			Destroy();
	}
}

Simulated function Reset()
{
	Super.Reset();

	NodesHealed = 0;
	NodesBuilt = 0;
	CoresDamaged = 0;
	CoresHealed = 0;
	CoresDestroyed = 0;
	NodesBusted = 0;
	NodesDamaged = 0;
	NodesDestroyed = 0;
}
