/**
 * Copyright 2007-2008 Bagotios
 */

class ASUTLPRI extends UTLinkedReplicationInfo  abstract config(AdvancedScoreboardV06);

var UTPlayerReplicationInfo UTPRI;
var repnotify int PureKills;
var bool bCheckedForSelf;
var int LastKillCount;
var config string SavedName;
var int MaxChanges;
var int Changes;
var repnotify string  PlayerName;

//try to replicate other variables
replication
{
	if (bNetDirty)
		PureKills;
}

event PreBeginPlay()
{
	Super.PreBeginPlay();
	SetTimer(1.0, true);
}

function PostBeginPlay()
{
	Super.PostBeginPlay();
}

function DeleteUnecessaryPRI();


function FindLostPri()
{
	local UTPlayerReplicationInfo PRI;
	local UTLinkedReplicationInfo UTLRI;
	
	foreach dynamicactors(class'UTPlayerReplicationInfo', PRI)
	{
		UTLRI = PRI.CustomReplicationInfo;
		while(UTLRI != None)
		{
			if(UTLRI == self)
			{	
				UTPRI = PRI;
				break;
			}
			UTLRI = UTLRI.NextReplicationInfo;
		}
	}
	DeleteUnecessaryPRI();
}

function Timer()
{

	UpdateData();
}

simulated function ResetName()
{
	UTPRI.SetPlayerAlias(UTPRI.PlayerName);
	PlayerName = "";
}


Reliable Client function SaveName(string newName)
{
	SavedName = newName;
	SaveConfig();
}

simulated function SetCustomName(String s)
{
	if(changes < MaxChanges || MaxChanges == -1)
	{
		PlayerName = s;
		Changes++;
		SaveName(s);
	}
}

function UpdateData()
{
	
	if(UTPRI == None)
		FindLostPRI();
	else
	{
			if(PlayerName != "")
				UTPRI.SetPlayerAlias(PlayerName);
				
			Purekills = UTPRI.Kills;
			bNetdirty = true;
	}
}

Reliable Server function init(int MaxNameChanges)
{
	UTPRI = UTPlayerReplicationInfo(Owner);
	PureKills = UTPRI.Kills;
	MaxChanges = MaxNameChanges;
}

simulated function Reset()
{
	PureKills = 0;
	LastKillCount = 0;
	Changes = 0;
}

defaultproperties
{
	Changes = 0;
	SavedName = "";
}